Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class TUNNEL.StubReceiver

    java.lang.Object
      org.jgroups.protocols.TUNNEL.StubReceiver

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  TUNNEL

    public class TUNNEL.StubReceiver

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`TUNNEL.StubReceiver(RouterStub stub)`

Method Summary
`java.lang.Thread` | `getThread()`
`void` | `run()`
`void` | `setThread(java.lang.Thread t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TUNNEL.StubReceiver

    public TUNNEL.StubReceiver(RouterStub stub)

Method Detail

### setThread

    public void setThread(java.lang.Thread t)

### getThread

    public java.lang.Thread getThread()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.